Get order status
Use this endpoint to get status information for an order. Required permissions: SALES_ORDER,RETURN_ORDER
get/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/status
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+orderUidstringRequiredPattern:
Reference to an Order.
^[A-Za-z0-9-_]+Responses
200
Example response
application/json
get/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/status
GET /v2/tenants/{tenantUid}/stores/{storeUid}/orders/{orderUid}/status HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200
Example response
{
"orderItems": [
{
"severity": "WARNING",
"message": "text",
"orderItemUid": "text"
}
],
"deliveries": [
{
"severity": "WARNING",
"message": "text",
"orderDeliveryUid": "text"
}
]
}Last updated
Was this helpful?

